Bug 19013 - In gpk-update-icon, start packagekit 30s after startup
Summary: In gpk-update-icon, start packagekit 30s after startup
Status: RESOLVED FIXED
Alias: None
Product: PackageKit
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Richard Hughes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-12-10 17:38 UTC by Behdad Esfahbod
Modified: 2009-03-24 12:52 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Behdad Esfahbod 2008-12-10 17:38:50 UTC
Such delay helps making login faster as packagekit won't compete with the rest of login over resources.  Thanks.
Comment 1 Richard Hughes 2008-12-11 03:38:59 UTC
It already does -- what version are you running?
Comment 2 Behdad Esfahbod 2008-12-11 15:38:09 UTC
Humm, weird.  In my warm-login chart it doesn't happen.  In the cold-login one it does.  See:

http://www.gnome.org/~behdad/login/3/7.gnome-session.preload.png


It's updated F10.


[behdad@home ~]$ rpm -q gnome-packagekit 
gnome-packagekit-0.3.11-3.fc10.x86_64
Comment 3 Richard Hughes 2008-12-12 01:36:15 UTC
What's the very first thing PackageKit does when you do a cold boot? Does it search for firmware, or check for updates? Thanks.
Comment 4 Behdad Esfahbod 2008-12-12 01:47:01 UTC
(In reply to comment #3)
> What's the very first thing PackageKit does when you do a cold boot? Does it
> search for firmware, or check for updates? Thanks.

How can I tell?
Comment 5 Richard Hughes 2008-12-12 03:17:12 UTC
Do you get the icon doing anything? Can you rm /var/log/PackageKit, reboot, and then post the log please? Thanks.
Comment 6 Behdad Esfahbod 2008-12-12 12:20:57 UTC
That "fixed" it.  Should I close?
Comment 7 Jupiter 2009-03-21 09:45:17 UTC
I do have a computer with a lot of resources and I don't want to wait 30 seconds to use packagekit. Is "30s" hard-coded or does packagekit start after the other applications are effective started?
Comment 8 Richard Hughes 2009-03-24 03:34:14 UTC
(In reply to comment #7)
> I do have a computer with a lot of resources and I don't want to wait 30
> seconds to use packagekit. Is "30s" hard-coded or does packagekit start after
> the other applications are effective started?

It's now a value in GConf.

Comment 9 Behdad Esfahbod 2009-03-24 12:52:21 UTC
Yay for more gconf traffic during login ;)


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.